<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/Model/ModelSettings.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li><li class="navelem"><a class="el" href="../../dir_b568ff35628e6f9749400d8da614780c.html">Model</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ModelSettings.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;classdef <a class="code" href="../../d5/d81/class_model_settings.html">ModelSettings</a></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;   properties</div>
<div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html">    4</a></span>&#160;      name = <span class="stringliteral">&#39;Llamosi2016&#39;</span> % name of the model</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;       </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;      fnHandle = @MEX_Llamosi2016 ;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;      </div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#a7a0426eaddf6178344e2bf16ccbb66d4">    8</a></span>&#160;      constants = [1e-10,1e-10,10e-10,30,10,exp(3.4)] % initial conditions, t_in, k, tau</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;      paramNominal = [2.3000   -1.2200   -5.5200];</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;      </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#a349e6d5c7579588443f881ef8da9e830">   12</a></span>&#160;      paramNames = {<span class="stringliteral">&#39;kp&#39;</span>,<span class="stringliteral">&#39;gm&#39;</span>,<span class="stringliteral">&#39;gp&#39;</span>}</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;      </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;      tolog = false ;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;      </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#af5620a2bc85b1660f476363cfb702b94">   16</a></span>&#160;      obsNames={<span class="stringliteral">&#39;Pr&#39;</span>};</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;      </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;      nstates=3;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;      </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#a09f984f9ebab0d052a1fcdfe9c22958d">   20</a></span>&#160;      errorModel={<span class="stringliteral">&#39;multiplicative&#39;</span>};</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;      </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;      errorModelinit={[50,0.1]};</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;      </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#ab29b64e6a9681ec5a5d699a7b326ae0b">   24</a></span>&#160;      </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;      abstol=1e-3;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;      rtol=1e-3;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;      </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#abd30e08eef172ed70ad089631bf7b1bc">   28</a></span>&#160;       t0=0;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;      paramLowerbounds=[];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;      paramUpperbounds=[];</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="../../d5/d81/class_model_settings.html#a6b50afd3649784dd00d4f2913940e71e">   32</a></span>&#160;   end</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclass_model_settings_html"><div class="ttname"><a href="../../d5/d81/class_model_settings.html">ModelSettings</a></div><div class="ttdoc">Model setting class, specific to a project Note this is part of a template created in the GTSBOX tool...</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dda/_projects_2_llamosi2016_2_model_2_model_settings_8m_source.html#l00004">ModelSettings.m:4</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
